# AlpsTimer Class Reference

`#include <AlpsTime.h>`

List of all members.

## Public Member Functions
| AlpsTimer ()
| AlpsTimer (double lt)
| ~AlpsTimer ()
void | reset ()
| Reset.
void | start ()
| Start to count times.
void | stop ()
| Stop timer and computing times.
void | setLimit (double lm)
double | getLimit () const
double | getCpuTime ()
| Get cpu timee.
double | getWallClock ()
| Get cpu timee.
double | getTime ()
| Get time depends on clock type.
int | getClockType ()
| Get/Set clock type.
void | setClockType (int ct)
bool | reachCpuLimit ()
| Check if cpu time reach limit.
bool | reachWallLimit ()
| Check if wallclock time reach limit.
## Public Attributes
int | clockType_
double | limit_
| Time limit.
double | startCpu_
double | startWall_
double | finishCpu_
double | finishWall_
double | cpu_
| Cpu time.
double | wall_
| Wall clock time.

## Detailed Description

Definition at line 75 of file AlpsTime.h.

## Constructor & Destructor Documentation

AlpsTimer::AlpsTimer | ( |  | ) | `[inline]`

Definition at line 96 of file AlpsTime.h.

AlpsTimer::AlpsTimer | ( | double | lt | ) | `[inline]`

Definition at line 97 of file AlpsTime.h.

AlpsTimer::~AlpsTimer | ( |  | ) | `[inline]`

Definition at line 98 of file AlpsTime.h.

## Member Function Documentation

void AlpsTimer::reset | ( |  | ) | `[inline]`

Reset.

Definition at line 101 of file AlpsTime.h.

void AlpsTimer::start | ( |  | ) | `[inline]`

Start to count times.

Definition at line 111 of file AlpsTime.h.

void AlpsTimer::stop | ( |  | ) | `[inline]`

Stop timer and computing times.

Definition at line 117 of file AlpsTime.h.

void AlpsTimer::setLimit | ( | double | lm | ) | `[inline]`

Definition at line 125 of file AlpsTime.h.

double AlpsTimer::getLimit | ( |  | ) | const`[inline]`

Definition at line 126 of file AlpsTime.h.

double AlpsTimer::getCpuTime | ( |  | ) | `[inline]`

Get cpu timee.

Definition at line 130 of file AlpsTime.h.

double AlpsTimer::getWallClock | ( |  | ) | `[inline]`

Get cpu timee.

Definition at line 137 of file AlpsTime.h.

double AlpsTimer::getTime | ( |  | ) | `[inline]`

Get time depends on clock type.

Definition at line 144 of file AlpsTime.h.

int AlpsTimer::getClockType | ( |  | ) | `[inline]`

Get/Set clock type.

Definition at line 160 of file AlpsTime.h.

void AlpsTimer::setClockType | ( | int | ct | ) | `[inline]`

Definition at line 161 of file AlpsTime.h.

bool AlpsTimer::reachCpuLimit | ( |  | ) | `[inline]`

Check if cpu time reach limit.

Definition at line 164 of file AlpsTime.h.

bool AlpsTimer::reachWallLimit | ( |  | ) | `[inline]`

Check if wallclock time reach limit.

Definition at line 176 of file AlpsTime.h.

## Member Data Documentation

int AlpsTimer::clockType_

Definition at line 79 of file AlpsTime.h.

double AlpsTimer::limit_

Time limit.

Definition at line 82 of file AlpsTime.h.

double AlpsTimer::startCpu_

Definition at line 84 of file AlpsTime.h.

double AlpsTimer::startWall_

Definition at line 85 of file AlpsTime.h.

double AlpsTimer::finishCpu_

Definition at line 86 of file AlpsTime.h.

double AlpsTimer::finishWall_

Definition at line 87 of file AlpsTime.h.

double AlpsTimer::cpu_

Cpu time.

Definition at line 90 of file AlpsTime.h.

double AlpsTimer::wall_

Wall clock time.

Definition at line 93 of file AlpsTime.h.

The documentation for this class was generated from the following file:

- /home/coin/svn-release/Blis-0.93.10/Alps/src/AlpsTime.h